import { IRequestRequirement } from '../interfaces/requirement-request.interface';

export class Requirement {
  _requirementRequest: IRequestRequirement;
  seatsDriver: number;
  seatsPassenger: number;

  constructor(requirementRequest: IRequestRequirement, defaultSeats: number) {
    this._requirementRequest = requirementRequest;
    this.seatsDriver = requirementRequest.seatsDriver ?? defaultSeats;
    this.seatsPassenger = requirementRequest.seatsPassenger ?? 1;
  }
}
